/*!
    \file quadtree.h
    \brief Definition of a spatial data separation using quadtree

*/

#ifndef _QUADTREE_H
#define _QUADTREE_H


#include "base_object.h"
#include "vector.h"

class QuadtreeNode;

//! A class for quadtree separation of the world
class Quadtree : public BaseObject {

 public:
  Quadtree();
  virtual ~Quadtree();


 private:
   QuadtreeNode*                   rootNode;


};

#endif /* _QUADTREE_H */
